Back to home page

Project CMSSW displayed by LXR

 
 

    


File indexing completed on 2024-09-26 05:06:38

0001 #!/bin/bash
0002 
0003 function die { echo $1: status $2 ;  exit $2; }
0004 
0005 LOCAL_TEST_DIR=${SCRAM_TEST_PATH}
0006 
0007 cmsRun ${LOCAL_TEST_DIR}/create_L1Scouting_test_file_cfg.py || die 'Failure using create_L1Scouting_test_file_cfg.py' $?
0008 
0009 file=testL1Scouting.root
0010 
0011 cmsRun ${LOCAL_TEST_DIR}/read_L1Scouting_cfg.py --inputFile "$file" || die "Failure using read_L1Scouting_cfg.py $file" $?
0012 
0013 # The old files read below were generated as follows.
0014 #
0015 # Check out the release in the filename and use it without modification to make
0016 # files with split level 99 (maximum possible splitting for each product)
0017 #
0018 # Then execute:
0019 #
0020 #   cmsRun DataFormats/L1Scouting/test/create_L1Scouting_test_file_cfg.py
0021 #
0022 # Rename the output file.
0023 #
0024 # The versions of the classes are encoded in the filenames in
0025 # alphabetical order. This order is also the order the classes
0026 # appear in classes_def.xml.
0027 #
0028 # For the split level 0 files, do the exact same thing except
0029 # add the following to the output module configuration.
0030 #     "splitLevel = cms.untracked.int32(0)"
0031 
0032 # test file for muon, jet, e/gamma and energy sums data formats
0033 oldFiles="testL1Scouting_v3_v3_v3_v3_v3_14_0_0_split_99.root testL1Scouting_v3_v3_v3_v3_v3_14_0_0_split_0.root"
0034 for file in $oldFiles; do
0035   inputfile=$(edmFileInPath DataFormats/L1Scouting/data/$file) || die "Failure edmFileInPath DataFormats/L1Scouting/data/$file" $?
0036   cmsRun ${LOCAL_TEST_DIR}/read_L1Scouting_cfg.py --inputFile "$inputfile" --bmtfStubVersion 0 || die "Failed to read old file $file" $?
0037 done
0038 
0039 # added BMTF input stubs data format
0040 oldFiles="testL1Scouting_v3_v3_v3_v3_v3_v3_14_1_0_pre5_split_99.root testL1Scouting_v3_v3_v3_v3_v3_v3_14_1_0_pre5_split_0.root"
0041 for file in $oldFiles; do
0042   inputfile=$(edmFileInPath DataFormats/L1Scouting/data/$file) || die "Failure edmFileInPath DataFormats/L1Scouting/data/$file" $?
0043   cmsRun ${LOCAL_TEST_DIR}/read_L1Scouting_cfg.py --inputFile "$inputfile" --bmtfStubVersion 3 || die "Failed to read old file $file" $?
0044 done
0045 
0046 exit 0